Bug 610978

Summary: virt-manager: Checking installer location failed: Could not find media '/dev/sr0'
Product: [Fedora] Fedora Reporter: Juan P. Daza P. <tcpip4000>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, dwmw2, ehabkost, gcosta, itamar, jaap, jaswinder, jforbes, knoel, markmc, navalspam, ondrejj, robert, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 15:21:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Juan P. Daza P. 2010-07-02 18:50:23 EDT
Description of problem:
Using virt-manager to create a guest that read the OS from the cdrom throws an error message: Checking installer location failed: Could not find media '/dev/sr0'

Version-Release number of selected component (if applicable):
Name       : libvirt
Arch       : x86_64
Version    : 0.7.7
Release    : 4.fc13

Name       : python-virtinst
Arch       : noarch
Version    : 0.500.3
Release    : 1.fc13

Name       : qemu
Arch       : x86_64
Epoch      : 2
Version    : 0.12.3
Release    : 8.fc13

Name       : qemu-kvm
Arch       : x86_64
Epoch      : 2
Version    : 0.12.3
Release    : 8.fc13


How reproducible:
always

Steps to Reproduce:
1.Install the previous software in a server host machine
2.start libvirt
3.Put a cdrom or dvd on the hosts cdrom

4.Install virt-manager in a remote machine
5.Try to install a guest in the server host where the media is on/dev/sr0
  
Actual results:
virt-manager displays: Checking installer location failed: Could not find media '/dev/sr0'.

Expected results:
Continue the installation process checking that there is a cdrom in the cdrom-tray.

Additional info:
When extracted the cdrom image on folder /var/lib/libvirt/images works fine.
Comment 1 Nahuel 2010-08-25 08:58:13 EDT
I have the same problem.
Comment 2 Nahuel 2010-08-25 08:58:57 EDT
I have the same problem with virt-manager 0.8.2
Comment 3 Jaap 2010-09-21 04:18:39 EDT
Same problem with these versions:

Name       : libvirt
Arch       : x86_64
Version    : 0.8.2
Release    : 1.fc13

Name       : python-virtinst
Arch       : noarch
Version    : 0.500.4
Release    : 1.fc13

Name       : qemu
Arch       : x86_64
Version    : 0.12.5
Release    : 1.fc13

Name       : qemu-kvm
Arch       : x86_64
Version    : 0.12.5
Release    : 1.fc13
Comment 4 Jaap 2010-09-21 04:37:04 EDT
The bug has been known quit some time:
https://bugzilla.redhat.com/token.cgi?t=ZmcfkHN32c&a=request_new_account
It has been reported in bug https://partner-bugzilla.redhat.com/show_bug.cgi?id=611291 as well.

However, the solution is applied only to RH6 version, it seems.
Comment 5 Bug Zapper 2011-06-01 10:53:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 15:21:37 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.